IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fca2::/16- First address
fca2::- Last address
fca2:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fca2:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
2.a.c.f.ip6.arpa
Split into smaller subnets
fca2::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fca2::/32 | fca2:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fca2:1::/32 | fca2:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fca2:2::/32 | fca2:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fca2:3::/32 | fca2:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fca2:4::/32 | fca2:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fca2:5::/32 | fca2:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fca2:6::/32 | fca2:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fca2:7::/32 | fca2:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fca2:8::/32 | fca2:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fca2:9::/32 | fca2:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fca2:a::/32 | fca2:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fca2:b::/32 | fca2:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fca2:c::/32 | fca2:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fca2:d::/32 | fca2:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fca2:e::/32 | fca2:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fca2:f::/32 | fca2:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fca2:10::/32 | fca2:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fca2:11::/32 | fca2:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fca2:12::/32 | fca2:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fca2:13::/32 | fca2:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fca2:14::/32 | fca2:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fca2:15::/32 | fca2:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fca2:16::/32 | fca2:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fca2:17::/32 | fca2:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fca2:18::/32 | fca2:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fca2:19::/32 | fca2:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fca2:1a::/32 | fca2:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fca2:1b::/32 | fca2:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fca2:1c::/32 | fca2:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fca2:1d::/32 | fca2:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fca2:1e::/32 | fca2:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fca2:1f::/32 | fca2:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fca2:20::/32 | fca2:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fca2:21::/32 | fca2:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fca2:22::/32 | fca2:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fca2:23::/32 | fca2:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fca2:24::/32 | fca2:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fca2:25::/32 | fca2:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fca2:26::/32 | fca2:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fca2:27::/32 | fca2:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fca2:28::/32 | fca2:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fca2:29::/32 | fca2:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fca2:2a::/32 | fca2:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fca2:2b::/32 | fca2:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fca2:2c::/32 | fca2:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fca2:2d::/32 | fca2:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fca2:2e::/32 | fca2:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fca2:2f::/32 | fca2:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fca2:30::/32 | fca2:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fca2:31::/32 | fca2:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fca2:32::/32 | fca2:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fca2:33::/32 | fca2:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fca2:34::/32 | fca2:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fca2:35::/32 | fca2:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fca2:36::/32 | fca2:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fca2:37::/32 | fca2:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fca2:38::/32 | fca2:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fca2:39::/32 | fca2:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fca2:3a::/32 | fca2:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fca2:3b::/32 | fca2:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fca2:3c::/32 | fca2:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fca2:3d::/32 | fca2:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fca2:3e::/32 | fca2:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fca2:3f::/32 | fca2:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fca2:40::/32 | fca2:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fca2:41::/32 | fca2:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fca2:42::/32 | fca2:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fca2:43::/32 | fca2:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fca2:44::/32 | fca2:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fca2:45::/32 | fca2:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fca2:46::/32 | fca2:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fca2:47::/32 | fca2:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fca2:48::/32 | fca2:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fca2:49::/32 | fca2:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fca2:4a::/32 | fca2:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fca2:4b::/32 | fca2:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fca2:4c::/32 | fca2:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fca2:4d::/32 | fca2:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fca2:4e::/32 | fca2:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fca2:4f::/32 | fca2:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fca2:50::/32 | fca2:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fca2:51::/32 | fca2:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fca2:52::/32 | fca2:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fca2:53::/32 | fca2:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fca2:54::/32 | fca2:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fca2:55::/32 | fca2:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fca2:56::/32 | fca2:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fca2:57::/32 | fca2:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fca2:58::/32 | fca2:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fca2:59::/32 | fca2:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fca2:5a::/32 | fca2:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fca2:5b::/32 | fca2:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fca2:5c::/32 | fca2:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fca2:5d::/32 | fca2:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fca2:5e::/32 | fca2:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fca2:5f::/32 | fca2:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fca2:60::/32 | fca2:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fca2:61::/32 | fca2:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fca2:62::/32 | fca2:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fca2:63::/32 | fca2:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fca2:64::/32 | fca2:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fca2:65::/32 | fca2:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fca2:66::/32 | fca2:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fca2:67::/32 | fca2:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fca2:68::/32 | fca2:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fca2:69::/32 | fca2:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fca2:6a::/32 | fca2:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fca2:6b::/32 | fca2:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fca2:6c::/32 | fca2:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fca2:6d::/32 | fca2:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fca2:6e::/32 | fca2:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fca2:6f::/32 | fca2:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fca2:70::/32 | fca2:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fca2:71::/32 | fca2:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fca2:72::/32 | fca2:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fca2:73::/32 | fca2:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fca2:74::/32 | fca2:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fca2:75::/32 | fca2:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fca2:76::/32 | fca2:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fca2:77::/32 | fca2:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fca2:78::/32 | fca2:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fca2:79::/32 | fca2:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fca2:7a::/32 | fca2:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fca2:7b::/32 | fca2:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fca2:7c::/32 | fca2:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fca2:7d::/32 | fca2:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fca2:7e::/32 | fca2:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fca2:7f::/32 | fca2:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fca2:80::/32 | fca2:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fca2:81::/32 | fca2:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fca2:82::/32 | fca2:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fca2:83::/32 | fca2:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fca2:84::/32 | fca2:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fca2:85::/32 | fca2:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fca2:86::/32 | fca2:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fca2:87::/32 | fca2:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fca2:88::/32 | fca2:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fca2:89::/32 | fca2:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fca2:8a::/32 | fca2:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fca2:8b::/32 | fca2:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fca2:8c::/32 | fca2:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fca2:8d::/32 | fca2:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fca2:8e::/32 | fca2:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fca2:8f::/32 | fca2:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fca2:90::/32 | fca2:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fca2:91::/32 | fca2:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fca2:92::/32 | fca2:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fca2:93::/32 | fca2:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fca2:94::/32 | fca2:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fca2:95::/32 | fca2:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fca2:96::/32 | fca2:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fca2:97::/32 | fca2:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fca2:98::/32 | fca2:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fca2:99::/32 | fca2:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fca2:9a::/32 | fca2:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fca2:9b::/32 | fca2:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fca2:9c::/32 | fca2:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fca2:9d::/32 | fca2:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fca2:9e::/32 | fca2:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fca2:9f::/32 | fca2:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fca2:a0::/32 | fca2:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fca2:a1::/32 | fca2:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fca2:a2::/32 | fca2:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fca2:a3::/32 | fca2:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fca2:a4::/32 | fca2:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fca2:a5::/32 | fca2:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fca2:a6::/32 | fca2:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fca2:a7::/32 | fca2:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fca2:a8::/32 | fca2:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fca2:a9::/32 | fca2:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fca2:aa::/32 | fca2:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fca2:ab::/32 | fca2:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fca2:ac::/32 | fca2:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fca2:ad::/32 | fca2:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fca2:ae::/32 | fca2:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fca2:af::/32 | fca2:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fca2:b0::/32 | fca2:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fca2:b1::/32 | fca2:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fca2:b2::/32 | fca2:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fca2:b3::/32 | fca2:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fca2:b4::/32 | fca2:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fca2:b5::/32 | fca2:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fca2:b6::/32 | fca2:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fca2:b7::/32 | fca2:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fca2:b8::/32 | fca2:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fca2:b9::/32 | fca2:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fca2:ba::/32 | fca2:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fca2:bb::/32 | fca2:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fca2:bc::/32 | fca2:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fca2:bd::/32 | fca2:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fca2:be::/32 | fca2:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fca2:bf::/32 | fca2:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fca2:c0::/32 | fca2:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fca2:c1::/32 | fca2:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fca2:c2::/32 | fca2:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fca2:c3::/32 | fca2:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fca2:c4::/32 | fca2:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fca2:c5::/32 | fca2:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fca2:c6::/32 | fca2:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fca2:c7::/32 | fca2:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fca2:c8::/32 | fca2:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fca2:c9::/32 | fca2:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fca2:ca::/32 | fca2:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fca2:cb::/32 | fca2:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fca2:cc::/32 | fca2:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fca2:cd::/32 | fca2:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fca2:ce::/32 | fca2:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fca2:cf::/32 | fca2:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fca2:d0::/32 | fca2:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fca2:d1::/32 | fca2:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fca2:d2::/32 | fca2:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fca2:d3::/32 | fca2:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fca2:d4::/32 | fca2:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fca2:d5::/32 | fca2:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fca2:d6::/32 | fca2:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fca2:d7::/32 | fca2:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fca2:d8::/32 | fca2:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fca2:d9::/32 | fca2:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fca2:da::/32 | fca2:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fca2:db::/32 | fca2:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fca2:dc::/32 | fca2:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fca2:dd::/32 | fca2:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fca2:de::/32 | fca2:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fca2:df::/32 | fca2:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fca2:e0::/32 | fca2:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fca2:e1::/32 | fca2:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fca2:e2::/32 | fca2:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fca2:e3::/32 | fca2:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fca2:e4::/32 | fca2:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fca2:e5::/32 | fca2:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fca2:e6::/32 | fca2:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fca2:e7::/32 | fca2:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fca2:e8::/32 | fca2:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fca2:e9::/32 | fca2:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fca2:ea::/32 | fca2:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fca2:eb::/32 | fca2:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fca2:ec::/32 | fca2:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fca2:ed::/32 | fca2:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fca2:ee::/32 | fca2:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fca2:ef::/32 | fca2:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fca2:f0::/32 | fca2:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fca2:f1::/32 | fca2:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fca2:f2::/32 | fca2:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fca2:f3::/32 | fca2:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fca2:f4::/32 | fca2:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fca2:f5::/32 | fca2:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fca2:f6::/32 | fca2:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fca2:f7::/32 | fca2:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fca2:f8::/32 | fca2:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fca2:f9::/32 | fca2:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fca2:fa::/32 | fca2:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fca2:fb::/32 | fca2:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fca2:fc::/32 | fca2:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fca2:fd::/32 | fca2:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fca2:fe::/32 | fca2:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fca2:ff::/32 | fca2:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |